Name: stardict
Version: 2.4.2
Release: alt1

Summary: StarDict dictionary
License: GPL
Group: System/Internationalization
Url: http://%name.sourceforge.net

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2

%define gnome_common_ver 2.3.0

BuildPreReq: gnome-common >= %gnome_common_ver

# Automatically added by buildreq on Sat Sep 13 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs esound-devel fontconfig freetype2 gcc-c++ glib2-devel glibc-devel-static gnome-vfs2-devel indent libGConf2-devel libIDL-devel libORBit2 libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libstdc++-devel libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel libalsa2-devel

%description
StarDict is an international dictionary written for the GNOME
environment. It has powerful features such as "Glob-style pattern
matching", "Scan seletion word", "Fuzzy search", etc.

%package tools
Summary: tools for making dictionary files for stardict
Group: Development/Other

%description tools
This package contains various tools for converting dictionaries in
stardict format:
* oxford2dic is program for converting from oxford format
* dictd2dic is program for converting from dictd format
* directory2dic is program for converting directory with wav
* wquick2dic is program for converting from wquick format
* stardict_dict_update is program to convert dictionaries from old 2.2.1 format to new 2.4.2

%prep
%setup -q

%__rm -f src/GNOME_Stardict{-{common,skels,stubs}.c,.h}

%build
%configure --disable-schemas-install
%make_build

%install
%make_install DESTDIR=%buildroot \
	    scrollkeeper_localstate_dir=%buildroot%_var/lib/scrollkeeper \
	    install

%__install -p src/tools/*2dic %buildroot%_bindir/
%__install -p src/tools/stardict_dict_update %buildroot%_bindir/

# menu
%__mkdir_p %buildroot%_menudir
gnomedesktop2mdkmenu.pl %name "Office" \
    %buildroot%_datadir/applications/stardict.desktop \
    %buildroot%_menudir/%name

%find_lang --with-gnome %name

%post
%update_menus
%update_scrollkeeper
%gconf2_install %name

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%_bindir/%name
%_datadir/applications/*
%_datadir/%name
%_datadir/idl/*
%_libdir/bonobo/servers/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*.schemas
%_man1dir/*
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%doc src/tools/{example.ifo,DICTFILE_FORMAT}

%files tools
%_bindir/*
%exclude %_bindir/%name

%changelog
* Thu Nov 20 2003 Alex Murygin <murygin@altlinux.ru> 2.4.2-alt1
- new version
- added stardict_dict_update to %{name}-tools
- deleted example.idxhead and added example.ifo

* Fri Aug 29 2003 Alex Murygin <murygin@altlinux.ru> 2.4.0-alt1
- new version
- regenerated buildreq

* Sun Jul 06 2003 Alex Murygin <murygin@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Mon Jun 09 2003 Alex Murygin <murygin@altlinux.ru> 2.2.0-alt2
- new version without version incrementation

* Sun Jun 01 2003 Alex Murygin <murygin@altlinux.ru> 2.2.0-alt1
- new version

* Wed May 28 2003 Alex Murygin <murygin@altlinux.ru> 2.1.0-alt2
- fixed clean_scrollkeeper postun script

* Wed May 21 2003 Alex Murygin <murygin@altlinux.ru> 2.1.0-alt1
- new version
- added package startdict-tools

* Sun May 04 2003 Alex Murygin <murygin@altlinux.ru> 2.0.0-alt1
- Initial revision.
